org.apache.pdfbox.pdmodel.interactive.pagenavigation

## Enum PDTransitionStyle

- java.lang.Object
- - java.lang.Enum<PDTransitionStyle>
  - - org.apache.pdfbox.pdmodel.interactive.pagenavigation.PDTransitionStyle

All Implemented Interfaces:
  Serializable, Comparable<PDTransitionStyle>

    public enum PDTransitionStyle
    extends Enum<PDTransitionStyle>

The transition style that shall be used when moving to the page from another during a presentation. Ref. table 162 PDF32000-1:2008

Author:
  Andrea Vacondio

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Blinds`
`Box`
`Cover`
`Dissolve`
`Fade`
`Fly`
`Glitter`
`Push`
`R`
`Split`
`Uncover`
`Wipe`

### Method Summary

All Methods Static Methods Concrete Methods
`static PDTransitionStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDTransitionStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Split

    public static final PDTransitionStyle Split

#### Blinds

    public static final PDTransitionStyle Blinds

#### Box

    public static final PDTransitionStyle Box

#### Wipe

    public static final PDTransitionStyle Wipe

#### Dissolve

    public static final PDTransitionStyle Dissolve

#### Glitter

    public static final PDTransitionStyle Glitter

#### R

    public static final PDTransitionStyle R

#### Fly

    public static final PDTransitionStyle Fly

#### Push

    public static final PDTransitionStyle Push

#### Cover

    public static final PDTransitionStyle Cover

#### Uncover

    public static final PDTransitionStyle Uncover

#### Fade

    public static final PDTransitionStyle Fade

### Method Detail

#### values

    public static PDTransitionStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDTransitionStyle c : PDTransitionStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDTransitionStyle valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null